import { useState, useEffect } from 'react';
import { csv } from 'd3';

//https://raw.githubusercontent.com/sriramvsharma/PantheonCSV/master/pantheonworld-women-confirmed-birthdates-csv.csv
// const csvUrl = 'https://raw.githubusercontent.com/sriramvsharma/PantheonCSV/master/pantheonworld-csv-confirmed-birthdates.csv';
//using a truncated version of the dataset to reduce load. 
const csvUrl = 'https://raw.githubusercontent.com/sriramvsharma/PantheonCSV/master/pantheonworld-women-confirmed-birthdates-csv.csv'

const row = d => {
  // d.coords = d['Location Coordinates'].split(',').map(d => +d).reverse();
  // d.coords = d.bplace_lat + d.bplace_lon  d['Total Dead and Missing'] = + d['Total Dead and Missing'];
d.coords = [+d.bplace_lon, +d.bplace_lat]
  // d['Reported Date'] = new Date(d['Reported Date']);
 	d.birthdate = new Date(d.birthdate)
    // d['Total Dead and Missing'] = + d['Total Dead and Missing'];
	d.hpi = +d.hpi
  return d;
};


export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
